Information disclosure in ncurses



Published: 2022-06-14
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-29458
CWE-ID CWE-125
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
ncurses
Universal components / Libraries / Libraries used by multiple products

Vendor Free Software Foundation

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Out-of-bounds read

EUVDB-ID: #VU64274

Risk: Medium

CVSSv3.1: 4.7 [CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L/E:U/RL:O/RC:C]

CVE-ID: CVE-2022-29458

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition in convert_strings in tinfo/read_entry.c in the terminfo library. A remote attacker can create a specially crafted file, trick the victim into opening it, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install patch 20220416 from vendor's repository.

Vulnerable software versions

ncurses: 6.0 - 6.3


CPE2.3 External links

http://lists.gnu.org/archive/html/bug-ncurses/2022-04/msg00016.html
http://lists.gnu.org/archive/html/bug-ncurses/2022-04/msg00014.html

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###